summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorChris Heath <chris@heathens.co.nz>2007-10-15 17:31:50 -0400
committerBehdad Esfahbod <behdad@behdad.org>2007-10-15 17:31:50 -0400
commit189feaf352f59b0a049202552024578715ef8cc7 (patch)
tree99866b67b67911d41ebaaa3e4ca95009d32a329c /autogen.sh
parent4660561cb548ab8d1eca724fda4d3658c95d4c04 (diff)
[autogen.sh] Tolerate tput failure (#12757)
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/autogen.sh b/autogen.sh
index 73455ef1..4253a918 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -49,8 +49,8 @@ esac
# some terminal codes ...
-boldface="`tput bold 2>/dev/null`"
-normal="`tput sgr0 2>/dev/null`"
+boldface="`tput bold 2>/dev/null || true`"
+normal="`tput sgr0 2>/dev/null || true`"
printbold() {
echo $ECHO_N "$boldface"
echo "$@"